summaryrefslogtreecommitdiffstats
path: root/debian/htdig/htdig-3.2.0b6/test/t_trunc
diff options
context:
space:
mode:
Diffstat (limited to 'debian/htdig/htdig-3.2.0b6/test/t_trunc')
-rwxr-xr-xdebian/htdig/htdig-3.2.0b6/test/t_trunc25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/htdig/htdig-3.2.0b6/test/t_trunc b/debian/htdig/htdig-3.2.0b6/test/t_trunc
new file mode 100755
index 00000000..83e1333c
--- /dev/null
+++ b/debian/htdig/htdig-3.2.0b6/test/t_trunc
@@ -0,0 +1,25 @@
+#
+# Part of the ht://Dig package <http://www.htdig.org/>
+# Copyright (c) 1999-2004 The ht://Dig Group
+# For copyright details, see the file COPYING in your distribution
+# or the GNU Library General Public License (LGPL) version 2 or later
+# <http://www.gnu.org/copyleft/lgpl.html>
+#
+# $Id: t_trunc,v 1.4 2004/05/28 13:15:30 lha Exp $
+#
+
+. ./test_functions
+
+export MIFLUZ_CONFIG ; MIFLUZ_CONFIG=${srcdir}/mifluz-search.conf
+
+count1=`head -1 $srcdir/search.txt | ./txt2mifluz -z -v $VERBOSE`
+count2=`tail -1 $srcdir/search.txt | ./txt2mifluz -z -v $VERBOSE`
+if [ "$count1" != "$count2" ]
+then
+ echo "inserted $count1 then $count2, expected same number" >&2
+ exit 1
+fi
+../htdb/htdb_stat -zW -d test | grep '2 Number of keys in the tree' > /dev/null || {
+ fail "Wrong number of keys"
+ ../htdb/htdb_stat -zW -d test
+}